Obtener lote por ID
curl --request GET \
--url https://facture.ar/api/invoices/batches/{batchId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://facture.ar/api/invoices/batches/{batchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://facture.ar/api/invoices/batches/{batchId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://facture.ar/api/invoices/batches/{batchId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"totalItems": 123,
"processedItems": 123,
"failedItems": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"invoiceData": {
"cuitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 1.01,
"description": "<string>",
"docTipo": 123,
"docNro": 123,
"invoiceType": 123,
"ivaType": 123,
"currency": "ARS",
"dueDate": "2023-12-25"
},
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Lotes
Obtener lote por ID
Obtiene los detalles completos de un lote específico, incluyendo todos sus items.
GET
/
invoices
/
batches
/
{batchId}
Obtener lote por ID
Authorizations
API Key para autenticación. Formato: test_sk_xxx para testing, prod_sk_xxx para producción.
Path Parameters
ID del lote
Response
Lote obtenido exitosamente
ID único del lote
Estado del lote
Available options:
pending, processing, completed, failed Fecha de creación
Total de items en el lote
Items procesados exitosamente
Items que fallaron
Fecha de última actualización
Items del lote
Show child attributes
Show child attributes